body {
  background-color: rgb(33, 37, 43);
  color: #fff;
  font-size: 13px;
  letter-spacing: 1px;

  background-image:
    linear-gradient(
      to bottom,
      rgba(33, 37, 43, 0) 0%,
      rgba(33, 37, 43, 0.7) 70%,
      rgb(33, 37, 43) 100%
    ),
    url('https://files.catbox.moe/66q65a.png');

  background-repeat: no-repeat;

  background-size:
    100% 600px,
    100% 600px;

  background-position:
    top,
    top;
}




#container{max-width:700px;margin:auto;padding:20px;margin-top:300px;}
#search{width:100%;padding:6px;margin-bottom:25px;background:#000;border:2px solid white;color:white;}


@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(12px) scale(0.98);
  }
  to {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

    #screen {pointer-events: none;content: "";background: url('https://files.catbox.moe/45xnj4.png') center/cover no-repeat;position: fixed;top: 0;left: 0;width: 100%;height: 100%;z-index: 1000;
  animation: jitter .10s infinite alternate;}@keyframes jitter {from {transform: translateY(0);}to {transform: translateY(2px);}}



.post-entry {
  display: flex;
  gap: 10px;
  padding: 10px;
  margin-bottom: 15px;
  background: rgb(40 43 48);
  border-radius: 10px;

  opacity: 0;
  transform: translateY(8px) scale(1);

  transition: transform 0.25s ease, box-shadow 0.25s ease, background 0.25s ease;
}

.post-entry img {
  width: 175px;
  height: 175px;
  object-fit: cover;
  border-radius: 10px;

  transition: transform 0.4s ease;
}

.post-entry:hover img {
  transform: scale(1.06);
}

.img-wrap {
  width: 175px;
  height: 175px;
  overflow: hidden;
  border-radius: 10px;
  flex-shrink: 0;
}

.post-entry.show {
  animation: fadeInUp 0.5s ease forwards;
}


.post-entry:hover {
  transform: translateY(-6px) scale(1.06);
  transition: transform 0.2s cubic-bezier(.2,.8,.2,1), box-shadow 0.25s;
  box-shadow: 0 12px 30px rgba(0,0,0,0.5);
  background: rgba(0,0,0,0.75);
}

#scrollTopBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;

  width: 40px;
  height: 40px;

  background: rgb(33, 37, 43);
  color: white;

  border: 2px solid white;
  border-radius: 10px;

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;

  opacity: 0;
  pointer-events: none;

  transition: opacity 0.3s ease, transform 0.2s ease;

  z-index: 999;
}

#scrollTopBtn.show {
  opacity: 1;
  pointer-events: auto;
}

#scrollTopBtn:hover {
  transform: scale(1.1);
  background: rgba(0,0,0,0.8);
}

@keyframes fadePost {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

#blog-post {
  opacity: 0;
}

#blog-post.show {
  animation: fadePost 1s ease forwards;
}

::-webkit-scrollbar {
  width: 4px;
  height: 1px;
}

::-webkit-scrollbar-thumb {
  background-color: #1f0522;
}

::-webkit-scrollbar-track {
  background: transparent;
}

 @font-face {font-family: "Courier New";
src: url('https://files.catbox.moe/ghhu4c.TTF') format("truetype");}

body {font-family: 'Courier New', sans-serif;} 

body {cursor: url('https://files.catbox.moe/aj4alq.png'), auto;}
a {cursor: url('https://files.catbox.moe/aj4alq.png'), auto;}